
Katello - Bug #5486

katello-ca-consumer-fqdn-1.0-1.noarch.rpm does not configure server prefix properly

04/29/2014 11:48 AM - Thomas McKay

Status: Closed   

Priority: Normal   

Assignee:    

Category: Installer   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1092474 Red Hat JIRA:  

Pull request:    

Description

After katello-deploy --devel the cert rpm configures /etc/rhsm/rhsm.conf as

# Server prefix:

prefix = //api

 when it should be

# Server prefix:

prefix = /katello/api

 /var/www/html/pub/katello-ca-consumer-thomasmckay.usersys.redhat.com-1.0-1.noarch.rpm

Associated revisions

Revision cc89f9df - 05/14/2014 10:55 AM - dustin tsang

fixes #5486  prefix and candlepin url incorrect for rhsm template on dev install

bugzilla https://bugzilla.redhat.com/show_bug.cgi?id=1092474

pass params to certs::katello class so that the appropriate prefix and candlepin url are created in the template

Revision 106c6ee1 - 05/14/2014 10:59 AM - dustin tsang

Fixes #5486 - Fix prefix + url for rhsm BZ1092474

Fixes an issues where katello_devel module doesn't populated the prefix

and candlepin url for rhsm templates correctly. This is because

katello:params isn't available from puppet-katello_devel.

bugzilla https://bugzilla.redhat.com/show_bug.cgi?id=1092474

Revision 9d26d634 - 05/14/2014 07:29 PM - dustin tsang

Fixes #5486 - Fix prefix + url for rhsm BZ1092474

Fixes an issues where katello_devel module doesn't populated the prefix

and candlepin url for rhsm templates correctly. This is because

katello:params isn't available from puppet-katello_devel.

bugzilla https://bugzilla.redhat.com/show_bug.cgi?id=1092474

Revision 0c37bc8e - 05/15/2014 12:33 PM - Eric Helms

Merge pull request #13 from dustint-rh/bz1092474_fix_rhsm_template

fixes #5486  prefix and candlepin url incorrect for rhsm template on dev...

Revision 6920fa2d - 05/15/2014 12:34 PM - Eric Helms

Merge pull request #25 from dustint-rh/bz1092474_fix_rhsm_template
fixes #5486  prefix and candlepin url incorrect for rhsm template on dev...

Revision 26314712 - 05/15/2014 12:34 PM - Eric Helms

Merge pull request #7 from dustint-rh/bz1092474_fix_rhsm_template

fixes #5486  prefix and candlepin url incorrect for rhsm template on dev...

History

#1 - 04/29/2014 11:48 AM - Thomas McKay

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1092474

#2 - 05/15/2014 08:17 PM - dustin tsang

- Status changed from New to Closed

#3 - 05/27/2014 05:08 PM - Eric Helms

- Target version set to 44

#4 - 06/06/2014 01:09 PM - Eric Helms

- Triaged changed from No to Yes

#5 - 08/22/2014 08:05 AM - Eric Helms

- translation missing: en.field_release set to 13
